OccurrenceManagementDataSourceFactory (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.server.tabular

## Class OccurrenceManagementDataSourceFactory

- java.lang.Object
- - org.gcube.portlets.user.occurrencemanagement.server.tabular.OccurrenceManagementDataSourceFactory

- All Implemented Interfaces:
    org.gcube.portlets.user.tdw.server.datasource.DataSourceFactory

      public class OccurrenceManagementDataSourceFactory
      extends Object
      implements org.gcube.portlets.user.tdw.server.datasource.DataSourceFactory

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.log4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OccurrenceManagementDataSourceFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeDataSource(org.gcube.application.framework.core.session.ASLSession session, org.gcube.portlets.user.tdw.server.datasource.DataSource dataSource)`
    `String` | `getId()`
    `protected String` | `getUrlFromTableId(org.gcube.application.framework.core.session.ASLSession session, String tableId)`
    `org.gcube.portlets.user.tdw.server.datasource.DataSource` | `openDataSource(org.gcube.application.framework.core.session.ASLSession session, org.gcube.portlets.user.tdw.shared.model.TableId tableIdentifier)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static org.apache.log4j.Logger logger

  - ### Constructor Detail

    - #### OccurrenceManagementDataSourceFactory

          public OccurrenceManagementDataSourceFactory()

  - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `org.gcube.portlets.user.tdw.server.datasource.DataSourceFactory`

    - #### openDataSource

          public org.gcube.portlets.user.tdw.server.datasource.DataSource openDataSource(org.gcube.application.framework.core.session.ASLSession session,
                                                                                org.gcube.portlets.user.tdw.shared.model.TableId tableIdentifier)
                                                                                  throws org.gcube.portlets.user.tdw.server.datasource.DataSourceException

      Specified by:
        `openDataSource` in interface `org.gcube.portlets.user.tdw.server.datasource.DataSourceFactory`
      Throws:
        `org.gcube.portlets.user.tdw.server.datasource.DataSourceException`

    - #### getUrlFromTableId

          protected String getUrlFromTableId(org.gcube.application.framework.core.session.ASLSession session,
                                 String tableId)
                                      throws Exception

      Parameters:
        `tableId` -
      Returns:
      Throws:
        `Exception`

    - #### closeDataSource

          public void closeDataSource(org.gcube.application.framework.core.session.ASLSession session,
                             org.gcube.portlets.user.tdw.server.datasource.DataSource dataSource)
                               throws org.gcube.portlets.user.tdw.server.datasource.DataSourceException

      Specified by:
        `closeDataSource` in interface `org.gcube.portlets.user.tdw.server.datasource.DataSourceFactory`
      Throws:
        `org.gcube.portlets.user.tdw.server.datasource.DataSourceException`

Copyright © 2014. All Rights Reserved.